## akode 3.5.13.3~pre67

=== CMakeLists.txt ===
#################################################
#
#  (C) 2015-2019 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.6 )


##### general package setup #####################

project( akode )
set( PACKAGE akode )
set( VERSION 2.0.2 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckIncludeFile )
include( CheckLibraryExists )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" OFF )
OPTION( WITH_LIBLTDL "Build with libltdl" ${WITH_ALL_OPTIONS} )

OPTION( WITH_ALSA_SINK "Build with alsa sink" ${WITH_ALL_OPTIONS} )
OPTION( WITH_JACK_SINK "Build with jack sink" ${WITH_ALL_OPTIONS} )
OPTION( WITH_PULSE_SINK "Build with pulseaudio sink" OFF )
OPTION( WITH_OSS_SINK "Build with oss sink" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SUN_SINK "Build with sun sink" OFF )

OPTION( WITH_FFMPEG_DECODER "Build with ffmeeg decoder" OFF )
option( WITH_MPC_DECODER "Build with mpc decoder" ON )
option( WITH_MPEG_DECODER "Build with mpeg decoder" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SRC_RESAMPLER "Build with src resampler" ${WITH_ALL_OPTIONS} )
option( WITH_XIPH_DECODER "Build with xiph decoder" ${WITH_ALL_OPTIONS} )


##### configure checks ##########################

include( ConfigureChecks.cmake )
add_definitions( -DHAVE_CONFIG_H )
configure_file( config.h.cmake config.h @ONLY )


##### build #####################################

tde_auto_add_subdirectories()

## akode 2.0.2

=== debian/changelog ===
akode (2.0.2-7ubuntu16.10.0+1) yakkety; urgency=low

  * Change debhelper compatibility level to 7

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

akode (2.0.2-7ubuntu16.10.0+0~a) yakkety; urgency=low

  [ François Andriot ]
  * Add multilib support [taken from Fedora patches]
  * Add pulseaudio support [taken from Fedora patches]
  * Fix OGG detection on openSUSE

  [ Slávek Banko ]
  * Rename completely from polyp to pulse
  * Enable build with PulseAudio support
  * Add package libakode2-pulse

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 15 Oct 2015 04:58:28 +0200

akode (2.0.2-6ubuntu15.10.0+4~a) wily; urgency=low

  * Fix installation of akode-config

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Jun 2015 20:19:18 +0200

akode (2.0.2-6ubuntu15.10.0+3~a) wily; urgency=low

  * Fix FTBFS with clang

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Jun 2015 18:42:32 +0200

akode (2.0.2-6ubuntu15.10.0+2~a) wily; urgency=low

  * Conversion to CMake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 May 2015 16:36:56 +0200

akode (2.0.2-5debian6.0.0+0) squeeze; urgency=low

  * Switch to quilt format
  * Changes pulled out into a patch

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Aug 2013 19:20:21 +0200

akode (2.0.2-4debian2) wheezy; urgency=low

  * Wheezy rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

akode (2.0.2-3ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes:
   - Don't build-dep on jack
   - Split out mpeg files into akode-mpeg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Jun 2008 12:19:44 +0000

akode (2.0.2-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Implement use of uploaders.mk

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove useless directory autom4te.cache from 98_buildprep.diff, fixes FTBFS
    if build twice in a row. (Closes: #442485)
  * Move homepage into control field.
  * Update to Standards-Version 3.7.3: replace ${Source-Version} with
    ${binary:Version}.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Dec 2007 23:05:43 +0100

akode (2.0.2-2ubuntu2) hardy; urgency=low

  * Rebuild with recent g++ compiler version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Apr 2008 11:24:10 +0000

akode (2.0.2-2ubuntu1) gutsy; urgency=low

  * Merge with Debian for patches 11_gcc_4.3_fix.diff and
    12_amd64_libflac8_fix.diff, fixes build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 19 Jun 2007 14:46:35 +0100

akode (2.0.2-2) unstable; urgency=low

  +++ Changes by Nacho Barrientos Arias

  * Adapting akode to the new version of libflac (closes: #426671).
  * Dropped liboggflac-dev from Build-Depends (it no longer exists - merged
    into libflac-dev).
  * Add patch 12_amd64_libflac8_fix.diff in order to avoid a FTBFS on amd64. 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 05 Jun 2007 21:24:45 +0200

akode (2.0.2-1) unstable; urgency=low

  +++ Changes by Kaare Olsen and Sune Vuorela:

  * New upstream release.
  * Removed patch 02_autotools_update. Applied upstream.
  * Removed patch 07_autoconf_2.6. Applied upstream.
  * Removed patch 11_flac_113_support and 12_oggflac_decoding.diff. Reworked and applied upstream.
  * Add patch 11_gcc_4.3_fix.diff to fix akode compilation with gcc4.3
    (Closes: 417089)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 May 2007 00:08:26 +0200

akode (2.0.2-0ubuntu2) gutsy; urgency=low

  * Changed liboggflac-dev --> libflac-dev, as liboggflac and libflac have
    been merged.  See Debian #427742

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 18 Jun 2007 10:32:56 -0500

akode (2.0.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Merge with Debian
  * Remove patched merged upstream
    - 02_autotools_update.diff
    - 07_autoconf_2.6.diff
    - 11_flac_113_support.diff
    - 12_oggflac_decoding.diff
  	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Apr 2007 13:45:04 +0100

akode (2.0.1-3) unstable; urgency=low

  * UNRELEASED

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 29 Jan 2007 09:24:10 +0100

akode (2.0.1-2ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:13:00 +0000

akode (2.0.1-2ubuntu1) feisty; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 24 Nov 2006 15:04:52 +0000

akode (2.0.1-2) unstable; urgency=low

  * Add two patches (thanks to Josh Coalson):
    - flac 1.1.3 support. libOggFLAC was merged into libFLAC.
    - prevent a possible problem with Ogg FLAC decoding at end of stream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 21 Nov 2006 07:38:23 +0100

akode (2.0.1-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Build with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Nov 2006 01:06:59 +0000

akode (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 18 Aug 2006 19:04:28 -0400

akode (2.0-5) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Apply GNU/kFreeBSD build patch from Petr Salinger. (Closes: #380099)

  * Add a patch allowing akode to build with autoconf 2.6.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Jul 2006 10:30:27 -0400

akode (2.0-4ubuntu3) edgy; urgency=low

  * Don't depend on libakode2-mpeg from libakode-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  1 Aug 2006 15:03:45 +0000

akode (2.0-4ubuntu2) edgy; urgency=low

  * Remove libjack from depends of akode-dev
  * Move libakode_mpeg_decoder.la to libakode-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 Jul 2006 16:04:41 +0100

akode (2.0-4ubuntu1) edgy; urgency=low

  * Merge with Debian



=== debian/control ===
Source: akode
Section: sound
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Isaac Clerencia <isaac@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Adeodato Simó <dato@net.com.org.es>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, gawk, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
Standards-Version: 3.7.3

Package: libakode2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: akode
Replaces: akode
Enhances: libarts1c2, libarts1c2a-trinity
Description: akode plugin for aRts
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 Homepage: http://www.carewolf.com/akode

Package: libakode2-mpeg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: akode
Replaces: akode
Enhances: libarts1c2, libarts1c2a-trinity
Description: mpeg plugins for akode
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 This package provides MP3 and other MPEG formats for akode.
 .
 Homepage: http://www.carewolf.com/akode

Package: libakode2-pulse
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: akode
Replaces: akode
Enhances: libarts1c2, libarts1c2a-trinity
Description: pulseaudio sink for akode
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 This package provides PulseAudio sink for akode.
 .
 Homepage: http://www.carewolf.com/akode

Package: libakode-dev
Section: libdevel
Architecture: any
Depends: libakode2 (= ${binary:Version}), pkg-config, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, ${alsa-dev}, libsamplerate0-dev, libspeex-dev
Replaces: kdemultimedia-dev (<< 4:3.5-rc1), libakode2 (<< 2.0-4)
Description: development files for akode
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 This package contains the development files for libakode.
 .
 Homepage: http://www.carewolf.com/akode

Package: akode-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libakode2 (= ${binary:Version})
Description: debugging symbols for akode
 This package contains the debugging symbols associated with akode.
 They will automatically be used by gdb for debugging akode-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq (linux,$(DEB_HOST_ARCH_OS))
DEB_DH_GENCONTROL_ARGS=-- -Valsa-dev=libasound2-dev
endif

DEB_CONFIGURE_EXTRA_FLAGS := --without-libltdl --with-extra-includes=/usr/include/speex/

DEB_DH_STRIP_ARGS  := --dbg-package=akode-dbg

PACKAGES_WITH_LIBS := libakode2

DEB_DH_MAKESHLIBS_ARGS_libakode2 := -V'libakode2 (>= 2-rc1-1)'

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DWITH_ALL_OPTIONS="ON" \
 -DWITH_LIBLTDL="OFF" \
 -DWITH_JACK_SINK="OFF" \
 -DWITH_PULSE_SINK="ON" \
 -DWITH_FFMPEG_DECODER="OFF"

common-install-prehook-arch::
	grep -v libakode_alsa_sink debian/libakode2.install > debian/libakode2.install.kfreebsd-i386
	grep -v libakode_alsa_sink debian/libakode2.install > debian/libakode2.install.kfreebsd-amd64
	grep -v libakode_alsa_sink debian/libakode-dev.install > debian/libakode-dev.install.kfreebsd-i386
	grep -v libakode_alsa_sink debian/libakode-dev.install > debian/libakode-dev.install.kfreebsd-amd64

clean::
	rm -f debian/libakode2.install.kfreebsd* debian/libakode-dev.install.kfreebsd*

## akode 3.5.13.3~pre67

=== debian/changelog ===
akode (4:3.5.13.3~pre67-0ubuntu12.04.0+4) precise; urgency=low

  * Automated git build for fdd8c4f92fd3297fabb5ca07f879d1b2d152aba1

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 10:03:14 +0200

akode (2.0.2-6debian6.0.0+1) squeeze; urgency=low

  * Conversion to CMake

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Feb 2015 04:54:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-qt-kde.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq (linux,$(DEB_HOST_ARCH_OS))
@@ -17,9 +16,6 @@
 PACKAGES_WITH_LIBS := libakode2
 
 DEB_DH_MAKESHLIBS_ARGS_libakode2 := -V'libakode2 (>= 2-rc1-1)'
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 # Build options
 DEB_CMAKE_EXTRA_FLAGS := \

## akode 3.5.13.3~pre68

=== debian/changelog ===
akode (4:3.5.13.3~pre68-0debian8.0.0+4) jessie; urgency=low

  * Automated git build for 773887dc3eeaeae2162a5a2d91c1aba46b8e0110

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 30 Dec 2021 14:50:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Isaac Clerencia <isaac@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Adeodato Simó <dato@net.com.org.es>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, gawk, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
 Standards-Version: 3.7.3
 
 Package: libakode2

## akode 14.1.0

=== debian/changelog ===
akode (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: akode
 Section: sound
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Isaac Clerencia <isaac@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Adeodato Simó <dato@net.com.org.es>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libflac-dev (>= 1.1.1-3), libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev, libjack-dev, libavformat-dev
 Standards-Version: 3.7.3
 
 Package: libakode2
@@ -19,8 +19,21 @@
  plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
  FLAC and Speex. aKode also focuses on performance, and so it means a
  big enhancement for users runing aRts in non-realtime mode.
+
+Package: libakode2-ffmpeg
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Conflicts: akode
+Replaces: akode
+Enhances: libarts1c2, libarts1c2a-trinity
+Description: ffmpeg plugins for akode
+ aKode is a new multithreaded audio library that provides aRts with
+ plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
+ FLAC and Speex. aKode also focuses on performance, and so it means a
+ big enhancement for users runing aRts in non-realtime mode.
  .
- Homepage: http://www.carewolf.com/akode
+ This package provides for akode formats supported by FFMPEG.
 
 Package: libakode2-mpeg
 Section: libs
@@ -36,8 +49,6 @@
  big enhancement for users runing aRts in non-realtime mode.
  .
  This package provides MP3 and other MPEG formats for akode.
- .
- Homepage: http://www.carewolf.com/akode
 
 Package: libakode2-pulse
 Section: libs
@@ -53,8 +64,21 @@
  big enhancement for users runing aRts in non-realtime mode.
  .
  This package provides PulseAudio sink for akode.
+
+Package: libakode2-jack
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Conflicts: akode
+Replaces: akode
+Enhances: libarts1c2, libarts1c2a-trinity
+Description: jack sink for akode
+ aKode is a new multithreaded audio library that provides aRts with
+ plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
+ FLAC and Speex. aKode also focuses on performance, and so it means a
+ big enhancement for users runing aRts in non-realtime mode.
  .
- Homepage: http://www.carewolf.com/akode
+ This package provides JACK sink for akode.
 
 Package: libakode-dev
 Section: libdevel
@@ -68,8 +92,6 @@
  big enhancement for users runing aRts in non-realtime mode.
  .
  This package contains the development files for libakode.
- .
- Homepage: http://www.carewolf.com/akode
 
 Package: akode-dbg
 Section: libdevel

## akode 14.1.1

=== CMakeLists.txt ===
#################################################
#
#  (C) 2015-2019 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup

project( akode )
set( PACKAGE akode )
set( PACKAGE_VERSION 2.0.2 )


##### include essential cmake modules

include( FindPkgConfig )
include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckStructHasMember )


##### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

OPTION( WITH_LIBLTDL        "Build with libltdl"         OFF )
OPTION( WITH_ALSA_SINK      "Build with alsa sink"       ${WITH_ALL_OPTIONS} )
OPTION( WITH_JACK_SINK      "Build with jack sink"       ${WITH_ALL_OPTIONS} )
OPTION( WITH_PULSE_SINK     "Build with pulseaudio sink" ${WITH_ALL_OPTIONS} )
OPTION( WITH_OSS_SINK       "Build with oss sink"        ${WITH_ALL_OPTIONS} )
OPTION( WITH_SUN_SINK       "Build with sun sink"        OFF )
OPTION( WITH_FFMPEG_DECODER "Build with ffmpeg decoder"  OFF )
option( WITH_MPC_DECODER    "Build with mpc decoder"     ${WITH_ALL_OPTIONS} )
option( WITH_MPEG_DECODER   "Build with mpeg decoder"    ${WITH_ALL_OPTIONS} )
OPTION( WITH_SRC_RESAMPLER  "Build with src resampler"   ${WITH_ALL_OPTIONS} )
option( WITH_XIPH_DECODER   "Build with xiph decoder"    ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories

add_subdirectory( ${PROJECT_NAME} )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
akode (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 May 2023 10:27:44 +0200

## akode 14.1.2

=== debian/changelog ===
akode (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:50:48 +0100

## akode 14.1.3

=== debian/changelog ===
akode (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 15 Aug 2024 14:29:07 +0200

## akode 14.1.4

=== debian/changelog ===
akode (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## akode 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2015-2019 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup

project( akode )
set( PACKAGE akode )
set( PACKAGE_VERSION 2.0.2 )


##### include essential cmake modules

include( FindPkgConfig )
include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckStructHasMember )


##### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

option( WITH_LIBLTDL        "Build with libltdl"                     OFF )
option( WITH_ALSA_SINK      "Build with alsa sink"                   ${WITH_ALL_OPTIONS} )
option( WITH_JACK_SINK      "Build with jack sink"                   ${WITH_ALL_OPTIONS} )
option( WITH_PULSE_SINK     "Build with pulseaudio sink"             ${WITH_ALL_OPTIONS} )
option( WITH_OSS_SINK       "Build with oss sink"                    ${WITH_ALL_OPTIONS} )
option( WITH_SUN_SINK       "Build with sun sink"                    OFF )
option( WITH_FFMPEG_DECODER "Build with ffmpeg decoder"              OFF )
option( WITH_MPC_DECODER    "Build with musepack decoder"            ${WITH_ALL_OPTIONS} )
option( WITH_MPEG_DECODER   "Build with mpeg decoder"                ${WITH_ALL_OPTIONS} )
option( WITH_SRC_RESAMPLER  "Build with src resampler"               ${WITH_ALL_OPTIONS} )
option( WITH_XIPH_DECODER   "Build with xiph decoder"                ${WITH_ALL_OPTIONS} )
option( WITH_XIPH_FLAC      "Build xiph decoder with flac support"   ON )
option( WITH_XIPH_SPEEX     "Build xiph decoder with speex support"  ON )
option( WITH_XIPH_VORBIS    "Build xiph decoder with vorbis support" ON )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories

add_subdirectory( ${PROJECT_NAME} )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== akode/CMakeLists.txt ===
#################################################
#
#  (C) 2015 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


#### pkg-config #################################

set( prefix ${CMAKE_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}"
        exec_prefix ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${EXEC_INSTALL_PREFIX}" "\${exec_prefix}"
        libdir ${LIB_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}"
        includedir ${INCLUDE_INSTALL_DIR} )

configure_file( akode-config.in akode-config @ONLY )
install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/akode-config
         DESTINATION ${BIN_INSTALL_DIR} )

configure_file( akode.pc.in akode.pc @ONLY )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/akode.pc
         DESTINATION ${PKGCONFIG_INSTALL_DIR} )


##### build #####################################

tde_auto_add_subdirectories()

=== akode/plugins/jack_sink/CMakeLists.txt ===
#################################################
#
#  (C) 2015 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/akode/lib
  ${CMAKE_SOURCE_DIR}/akode/lib
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${JACK_INCLUDE_DIRS}
)


##### library ###################################

set( target libakode_jack_sink )

tde_add_library(
  ${target} MODULE
  SOURCES jack_sink.cpp
  LINK akode-shared ${JACK_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== debian/changelog ===
akode (4:14.1.5-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,12 @@
 #! /usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 DEB_DH_GENCONTROL_ARGS=-- -Valsa-dev=libasound2-dev
 endif
-
-DEB_CONFIGURE_EXTRA_FLAGS := --without-libltdl --with-extra-includes=/usr/include/speex/
 
 DEB_DH_STRIP_ARGS  := --dbg-package=akode-dbg
 
@@ -19,14 +16,13 @@
 
 # Build options
 DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
  -DCMAKE_SKIP_RPATH="OFF" \
  -DCMAKE_VERBOSE_MAKEFILE="ON" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DWITH_ALL_OPTIONS="ON" \
  -DWITH_LIBLTDL="OFF" \
- -DWITH_JACK_SINK="OFF" \
- -DWITH_PULSE_SINK="ON" \
- -DWITH_FFMPEG_DECODER="OFF"
+ -DWITH_FFMPEG_DECODER="ON"
 
 common-install-prehook-arch::
 	grep -v libakode_alsa_sink debian/libakode2.install > debian/libakode2.install.kfreebsd-i386

## akode 14.1.6~pre0

=== debian/changelog ===
akode (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 025229b6a48395e869b71ffdf69af04e5bbd1b6a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## akode 14.1.6~pre2

=== debian/changelog ===
akode (4:14.1.6~pre2-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for f6708c476be24812a425cb6c1d01372b2e246d21
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 23 Feb 2026 14:54:33 +0100

akode (4:14.1.6~pre1-0) trixie; urgency=low

  * Move akodeplay binary to a separate package.
  * Install libraries according to multi-arch rules.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Feb 2026 15:55:51 +0100

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
DEB_DH_GENCONTROL_ARGS=-- -Valsa-dev=libasound2-dev
endif

DEB_DH_STRIP_ARGS  := --dbg-package=akode-dbg

PACKAGES_WITH_LIBS := libakode2

DEB_DH_MAKESHLIBS_ARGS_libakode2 := -V'libakode2 (>= 2-rc1-1)'

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR) \
 -DWITH_ALL_OPTIONS="ON" \
 -DWITH_LIBLTDL="OFF" \
 -DWITH_FFMPEG_DECODER="ON"

## akode 14.2.0~pre12

=== akode/lib/CMakeLists.txt ===
#################################################
#
#  (C) 2015 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

configure_file( akode_export.h.cmake akode_export.h @ONLY )


##### library ###################################

set( target akode )

set( ${target}_SRCS
  bytebuffer.cpp
  audiobuffer.cpp
  pluginhandler.cpp
  decoderpluginhandler.cpp
  resamplerpluginhandler.cpp
  sinkpluginhandler.cpp
  encoderpluginhandler.cpp
  fast_resampler.cpp
  crossfader.cpp
  volumefilter.cpp
  localfile.cpp
  mmapfile.cpp
  wav_decoder.cpp
  auto_sink.cpp
  void_sink.cpp
  converter.cpp
  buffered_decoder.cpp
  player.cpp
  magic.cpp
)

tde_add_library(
  ${target} SHARED
  VERSION 2.0.0
  SOURCES ${${target}_SRCS}
  LINK ${CMAKE_THREAD_LIBS_INIT} ${AKODE_LIBDL} ${SEM_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

set_property(
  TARGET ${target}-shared
  APPEND PROPERTY COMPILE_DEFINITIONS
  AKODE_SEARCHDIR="${LIB_INSTALL_DIR}"
)


##### headers ###################################

set( ${target}_INCLUDES
  ${CMAKE_CURRENT_BINARY_DIR}/akode_export.h
  akodelib.h
  decoder.h
  sink.h
  encoder.h
  audioconfiguration.h
  audioframe.h
  audiobuffer.h
  bytebuffer.h
  file.h
  localfile.h
  mmapfile.h
  pluginhandler.h
  crossfader.h
  volumefilter.h
  resampler.h
  fast_resampler.h
  buffered_decoder.h
  wav_decoder.h
  auto_sink.h
  void_sink.h
  player.h
  magic.h
  converter.h
  framedecoder.h
)

install(
  FILES ${${target}_INCLUDES}
  DESTINATION ${INCLUDE_INSTALL_DIR}/akode
)

=== debian/changelog ===
akode (4:14.2.0~pre12-0debian12.0.0+6) bookworm; urgency=low

  * Automated git build for 90de1ea9b927f2a58dcc9e80305e8ab11fd8eaa9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Isaac Clerencia <isaac@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Adeodato Simó <dato@net.com.org.es>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libflac-dev (>= 1.1.1-3), libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev, libjack-dev, libavformat-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libflac-dev (>= 1.1.1-3), libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev, libjack-dev, libavformat-dev
 Standards-Version: 3.7.3
 
 Package: libakode2

## akode 14.2.0~pre14

=== debian/changelog ===
akode (4:14.2.0~pre14-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 3a8c0835aad5f502cc25c02500d91a7ebf9cee97
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Feb 2026 16:05:21 +0100
